#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Quote
Summary:	XML::Quote - functions to quote/dequote strings in "XML"-way
Summary(pl.UTF-8):	XML::Quote - funkcje do cytowania łańcuchów w sposób "XML-owy"
Name:		perl-XML-Quote
Version:	1.02
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	98f45c2efeeea13793949e5c74689741
URL:		http://search.cpan.org/dist/XML-Quote/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides functions to quote/dequote strings in "XML"-way.

All functions are written in XS and are very fast; they correctly
process UTF-8, tied, overloaded variables and all the rest of Perl
"magic".

%description -l pl.UTF-8
Ten moduł udostępnia funkcje do cytowania łańcuchów w sposób
"XML-owy".

Wszystkie funkcje są napisane w XS i są bardzo szybkie. Poprawnie
przetwarzają UTF-8, zmienne związane i przeciążone, a także całą
resztę perlowej "magii".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/Quote.pm
%dir %{perl_vendorarch}/auto/XML/Quote
%attr(755,root,root) %{perl_vendorarch}/auto/XML/Quote/Quote.so
%{perl_vendorarch}/auto/XML/Quote/autosplit.ix
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-Quote.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 798f27c
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 395de81
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 480d347
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9c40bfa
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 43cb19c
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0bc27ac
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2822856
- x32 rebuild
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6ec7f34
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a217cee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3f8393d
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 10e3284
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a61797c
- release 3

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 06e92f3
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f349564
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e595ace
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 829ee23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 53a5301
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 122c460
- formatting

* Wed May 05 2004 ankry <ankry@pld-linux.org> 551ee88
- license unification, cosmetics

* Wed Jan 07 2004 Jakub Bogusz <qboosh@pld-linux.org> f19d71b
- new

